frr defaults datacenter
hostname {{ inventory_hostname }}
username cumulus nopassword
!
service integrated-vtysh-config
!
log syslog informational
!
evpn mh redirect-off
!
ip pim rp {{ multicast.underlay[devices[inventory_hostname].site].rpaddr|ipaddr('address') }} 224.0.0.0/4
ip pim ecmp
ip pim keep-alive-timer 3600
!
{% set l3 = tenants.l3domain %}
{% for domain in l3 %}
{% if domain in devices[inventory_hostname].vrfs %}
vrf {{ domain }}
 vni {{ 400000 + l3[domain].id }}
{% endif %}
{% endfor %}
!
interface ipmr-lo
 ip pim
!
interface lo
 ip igmp
 ip pim
!
{% for interface in devices[inventory_hostname].interfaces.fabric %}
interface {{ interface }}
 ip pim sm
{% if devices[inventory_hostname].interfaces.mh is defined %}
 evpn mh uplink
{% endif %}
{% endfor %}
!
{% if devices[inventory_hostname].interfaces.mh is defined %}
{% set mh = devices[inventory_hostname].interfaces.mh %}
{% for interface in mh %}
interface bond{{ mh[interface].es }}
  evpn mh es-id {{ mh[interface].es }}
  evpn mh es-sys-mac 44:38:39:ff:{{ mh[interface].es[:2] }}:{{ mh[interface].es[-2:] }}
{% if devices[inventory_hostname].priority == "primary" %}
  evpn mh es-df-pref 50000
{% else %}
  evpn mh es-df-pref 30000
{% endif %}
{% endfor %}
!
{% endif %}
router bgp {{ devices[inventory_hostname].routing.bgp.asn }}
 bgp router-id {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address') }}
 bgp bestpath as-path multipath-relax
 neighbor underlay peer-group
 neighbor underlay remote-as external
{% for interface in devices[inventory_hostname].interfaces.fabric %}
 neighbor {{ interface }} interface peer-group underlay
{% endfor %}
{% if devices[inventory_hostname].interfaces.mlag is defined %}
 neighbor peerlink.4094 interface peer-group underlay
{% endif %}
 !
 address-family ipv4 unicast
  redistribute connected route-map loopbacks
 exit-address-family
 !
 address-family l2vpn evpn
  neighbor underlay activate
  advertise-all-vni
  advertise-svi-ip
 exit-address-family
!
{% for vrf in devices[inventory_hostname].vrfs %}
router bgp {{ devices[inventory_hostname].routing.bgp.asn }} vrf {{ vrf }}
 bgp router-id {{ devices[inventory_hostname].interfaces.loopback.ipv4|ipaddr('address') }}
 !
 address-family ipv4 unicast
  redistribute connected
 exit-address-family
 !
 address-family l2vpn evpn
  advertise ipv4 unicast
  advertise ipv6 unicast
 exit-address-family
{% endfor %}
!
route-map loopbacks permit 10
 match interface lo
!
line vty
!
